Get document lineage
curl --request GET \
--url https://api.mixpeek.com/v1/collections/{collection_id}/documents/{document_id}/lineage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/collections/{collection_id}/documents/{document_id}/lineage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/collections/{collection_id}/documents/{document_id}/lineage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Lineage
Get document lineage
Get the complete processing lineage for a document. Shows the full chain of transformations from the root bucket object through all collection processing stages.
GET
/
v1
/
collections
/
{collection_id}
/
documents
/
{document_id}
/
lineage
Get document lineage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the collection containing the document
ID of the document to trace
Response
Document lineage information
The response is of type Response Get Document Lineage V1 Collections Collection Id Documents Document Id Lineage Get · object.
Was this page helpful?
⌘I

